Is there a TRichEdit98 version suitable for the latest delphi versions?

Hello all,

I am using TRichEdit98 in an old component I am trying to port to DelphiXE so I was wondering if anyone knows if there exist a TRichEdit98 for Delphi 2010?

Regards
0
John
9/22/2010 5:41:12 AM
embarcadero.delphi.tools 5366 articles. 3 followers. Follow

1 Replies
1311 Views

Similar Articles

[PageSpeed] 22
Get it on Google Play
Get it on Apple App Store

On 21-Sep-10 22:41, John Ioannides wrote:
> Hello all,
>
> I am using TRichEdit98 in an old component I am trying to port to DelphiXE so I was wondering if anyone knows if there exist a TRichEdit98 for Delphi 2010?

Have you looked at TJvRichEdit in the JVCL?

Not sure how much work converting from TRichEdit98 to TJvRichEdit will 
be, but it's probably worth the trouble as TJvRichEdit is compatible 
with all current Delphi releases.

Michael
0
Michael
9/23/2010 12:13:08 AM
Reply:

Similar Artilces:

Will Delphi XE2 co-exist with other Delphi versions ?
Can I install it on a machine that's got other Delphi's on it ? Lut Mentz wrote: > Can I install it on a machine that's got other Delphi's on it ? Yes. As far as I know that has always been the case. -- -Mike (TeamB) Lut Mentz wrote: > Can I install it on a machine that's got other Delphi's on it ? Yes -- it has always been the case that the new version co-exists peacefully with all the older ones. -- Nick Hodges -- Product Development Manager Gateway Ticketing Systems http://www.gatewayticketing.com > {quote:title=Mike Williams ...

HELP! Trying to Complie old Delphi program on any version of Delphi
Hey everyone I'm new to the programming world and unfortunately I have come across a big problem that I will hope I can get some help with. I have a program that was apparently created using delphi 3 and then finished using delphi 4 with some additional parts added later. I have found copies of amost every version of delphi ever made and installed them on my pc and attempted to compile this program in question. Unfortuantely I have yet to get it to compile without a few thousand error messages and I am st uck between a rock and a hard place. I know very little of Delphi programming, let a...

Delphi Versions
Don't laugh, but I am not a company and years ago I purchased Delphi 5 professional out of my own pocket, along with Crystal reports developer, Infopower and Orpheus components, help & manual help writer, etc... I am currently writing a program that I would like to market - not complex, single user, non server based. I'm taking a shot on my own without a company to hold my hand. I just want to know if there are any major concerns with continuing with this version of Delphi for the time being? Money is an issue in that I just don't have enough to upgrade all th...

What Delphi versions the latest FireDac supports?
I'm using Delphi XE4. If I buy the latest FireDac, will it support that Delphi version? There is no mention of that in the sales docs. Please add such information. But when it was AnyDac, it always continued supporting old versions so one could buy at any point and use it. This means that if I missed buying FireDAC earlier with Delphi XE4, I have to spend extra money to upgrade to the latest Delphi just for that even when I don't need the newer Delphi? Isn't it a faulty policy? All other Delphi third party components continue supporting old Delphi versions. Another question: ...

How do I update Delphi 2010 to latest version?
hi, the last 2 days my delphi 2010 pro (RAD studio), has not said there is a new version available and I cannot find anywhere to tell it to manually do an upgrade. I looked through all menu options and even the about box has nothing. I know that I set the "Check for Updates Automatically" when I installed and I remember I was notified through the IDE update 1 was available. thanks Michael > {quote:title=Michael Messerschmidt wrote:}{quote} > hi, > > the last 2 days my delphi 2010 pro (RAD studio), has not said there is > a new version available a...

Delphi versions
Is Delphi 2007 the last version of Delphi that defaults the String type to AnsiString? Is it still available from Embarcadero? I have a whole lot of projects that use the String type and I have been compiling them in Delphi 7. Pier "Pier Nardin" <piern@ramm.co.za> wrote in message news:590487@forums.embarcadero.com... > Is Delphi 2007 the last version of Delphi that defaults the String type to > AnsiString? Is it still available from Embarcadero? I have a whole lot of > projects that use the String type and I have been compiling them in Delphi > ...

Latest/best version of Delphi 2007?
Delphi 2007 is giving me cpp assertion errors. I'm wondering if I have the latest version. The version I have is... CodeGearâ„¢ Delphi® 2007 for Win32® Version 11.0.2902.10471 How can I tell if I have the latest version? > {quote:title=Michael Leahy wrote:}{quote} > Delphi 2007 is giving me cpp assertion errors. I'm wondering if I have the latest version. The version I have is... > > CodeGearâ„¢ Delphi® 2007 for Win32® Version 11.0.2902.10471 > > How can I tell if I have the latest version? I think that is the latest version as th...

What Delphi versions the latest FireDac supports?
I'm using Delphi XE4. If I buy the latest FireDac, will it support that Delphi version? There is no mention of that in the sales docs. Please add such information. > I'm using Delphi XE4. If I buy the latest FireDac, will it support that Delphi version? There is no mention of that in the sales docs. Please add such information. I believe - no. Latest FireDAC version supports only latest RAD Studio version. -- With best regards, Dmitry Arefiev / FireDAC Architect But when it was AnyDac, it always continued supporting old versions so one could buy at any point and use it....

Best practice when code should still compile with elder versions of Delphi but also Delphi 2009
When tryung to compile Turbopower Orpheus and other Turbopower products which I still use in my applications and therefor need to convert to Delphi 2009, I get lots of warnings even though others has made it possible to get Orpheus compiled. The problem is checking a char in a set which gives a type cast warning and suggests using a new function instead. [DCC Warning] ovcdbnum.pas(401): W1050 WideChar reduced to byte char in set expressions. Consider using 'CharInSet' function in 'SysUtils' unit. So what would be the best practice here eg. correcting this ro...

Download Latest version of Delphi XE5 Firemonkey 3
Hello I have a number of bugs in my Android application that seem to be firemonkey issues not my application. I am simply trying to find the latest version for XE5. I have a licenced Enterprise edition at Update 2 level. All I can find are free trial of XE6, The EDN website seems very slow often clicking on front page items with no response. Where can I check I have the latest version of my installed software please? Delphi + Firemonkey Registered user download area is what you want. Steps: 1. http://members.embarcadero.com 2. Login using the same crededtials you used to regist...

Problem installing latest version of indy libs in Delphi XE
Hi all ! I recently downloaded and installed the latest Indy snapshot. I followed the "Indy 10 Installation Instructions"; compiled everything in the right order, added the paths to the libs and so on... Now, every time I enter in Delphi XE, I have the following error message (The message is in French, but I'll try to translate it correctly) : The entry point for procedure @Idhttp@TidCustomHTTP@GetRequestHeaders$qqrv cannot be found in the dynamic library IndyProtocols150.bpl. What can I do to fix this problem ? Thanks, Stephan St-Denis "Stephan S...

Nice, Delphi XE includes free access to earlier version licenses and downloads for Delphi 2010, 2009, 2007 and 7.
Looking at the details for Delphi XE Professional while checking the prices etc and found the above as part of a paragraph. "Delphi XE includes free access to earlier version licenses and downloads for Delphi 2010, 2009, 2007 and 7. Details will be included with your order confirmation email and in the product readme." Very nice bonus! Brian > {quote:title=Brian Evans wrote:}{quote} > Looking at the details for Delphi XE Professional while checking the > prices etc and found the above as part of a paragraph. > > "Delphi XE includes free acce...

Newer version available when at the latest version
Hello~ I am currently running GW6.5.4 and my client is at the latest as well. But I keep getting a message saying that there is a newer version available even though I'm already at the latest version. The message I get says that there is a newer version available, but I do not have the rights to install it and to contact the system administrator. Then it asks me if I want to see this message again and I click on no. Then, the next time, I get the message again. Is there anyway to keep this message from showing up again? I've tried going into the registry and increasing the b...

Which Delphi version do you use?
Since we seem to be in a mood to take surveys in here, I'd like to pose the following questions. Which version of Delphi do you use for "current" projects? Which is the most recent version have you purchased? If these are different, why are you not using the latest version? Let me be the first to answer my own questions. On 10/01/2014 9:20 AM, John Furlong wrote: > Since we seem to be in a mood to take surveys in here, I'd like to pose > the following questions. > > Which version of Delphi do you use for "current" projects? XE2 >...

Web resources about - Is there a TRichEdit98 version suitable for the latest delphi versions? - embarcadero.delphi.tools

Resources last updated: 11/27/2015 10:51:02 AM